## radicle-ci-broker 0.1.0.ci20240315T144444

=== Makefile ===
.SUFFIXES: .uml .svg .pik .md .html

.md.html:
	pandoc --toc --standalone --self-contained $< -o $@

.uml.svg:
	plantuml -tsvg --output=. $<

.pik.svg:
	pikchr-cli $< > $@.tmp
	mv $@.tmp $@

all: architecture.html

architecture.html: architecture.svg architecture-ext.svg components.svg components-ext.svg

## radicle-ci-broker 0.1.0.ci20240520T145957

=== Makefile ===
.SUFFIXES: .uml .svg .dot .pik .md .html

.md.html:
	pandoc -V date="Version: $$(git describe --long --dirty --all)" --toc --number-sections --standalone --self-contained $< -o $@

.dot.svg:
	dot -Tsvg $< > $@.tmp
	mv $@.tmp $@

.uml.svg:
	plantuml -tsvg --output=. $<

.pik.svg:
	pikchr-cli $< > $@.tmp
	mv $@.tmp $@

all: architecture.html

publish: all
	bash publish.sh

architecture.html: architecture.svg architecture-ext.svg comp.svg comp-ext.svg Makefile

## radicle-ci-broker 0.2.0.ci20240718T075441

=== debian/changelog ===
radicle-ci-broker (0.2.0.ci20240718T075441-1) unstable; urgency=medium

  * CI build under Ambient from commit
    3812aba1f7515021b109b1547539c206d262283a on main.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 18 Jul 2024 07:54:41 +0000

radicle-ci-broker (0.2.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 06 Jun 2024 18:07:54 +0300

radicle-ci-broker (0.1.0-1) unstable; urgency=medium

  * First release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 25 Sep 2023 08:34:08 +0300

## radicle-ci-broker 0.2.0.ci20240718T111417

=== debian/changelog ===
radicle-ci-broker (0.2.0.ci20240718T111417-1) unstable; urgency=medium

  * CI build under Ambient from commit
    eb923962bbfeecfa49eead258f83722e1b5d70e4 on main.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 18 Jul 2024 11:14:17 +0000

=== debian/control ===
Source: radicle-ci-broker
Maintainer: The Radicle Team <team@radicle.xyz>
Uploaders: Lars Wirzenius <liw@liw.fi>
Section: vcs
Priority: optional
Standards-Version: 4.6.2
Build-Depends: debhelper (>= 10~),
  asciidoctor
Homepage: https://radicle.xyz/

Package: radicle-ci-broker
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, git
Description: broker continuous integration implementations for Radicle
 Radicle is a secure, decentralized and powerful alternative to code
 forges such as GitHub and GitLab that preserves user sovereignty and
 freedom.
 .
 Radicle CI broker uses a configured CI engine to run Ci for a repsitory
 on a Radicle node.

## radicle-ci-broker 0.6.1.ci20240907T070334

=== debian/changelog ===
radicle-ci-broker (0.6.1.ci20240907T070334-1) unstable; urgency=medium

  * CI build under Ambient from commit
    204aa332697f01715f09ebbe08bf0f52bbd1f032 on broker-event-evolution.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 07 Sep 2024 07:03:34 +0000

radicle-ci-broker (0.6.1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 02 Sep 2024 13:59:22 +0300

radicle-ci-broker (0.6.0) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 02 Sep 2024 11:00:07 +0300

radicle-ci-broker (0.5.0) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 26 Aug 2024 09:29:12 +0300

radicle-ci-broker (0.3.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 18 Jul 2024 17:54:22 +0300

## radicle-ci-broker 0.6.2.ci20240912T112437

=== debian/changelog ===
radicle-ci-broker (0.6.2.ci20240912T112437-1) unstable; urgency=medium

  * CI build under Ambient from commit
    c7b0b393679bfa249f22013232b0549b1deb36d3 on main.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 12 Sep 2024 11:24:37 +0000

radicle-ci-broker (0.6.2) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 10 Sep 2024 13:58:57 +0300

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	true

override_dh_auto_install:
	cargo install --offline --path=. --root=debian/radicle-ci-broker
	rm -f debian/*/.crates*.*

override_dh_auto_test:
	echo tests are disabled, for now

## radicle-ci-broker 0.7.0.ci20241026T081816

=== Makefile ===
--- 
+++ 
@@ -14,9 +14,12 @@
 	pikchr-cli $< > $@.tmp
 	mv $@.tmp $@
 
-all: architecture.html
+all: architecture.html userguide.html
 
 publish: all
 	bash publish.sh
 
 architecture.html: architecture.svg architecture-ext.svg comp.svg comp-ext.svg Makefile
+
+userguide.html: userguide.subplot userguide.md Makefile
+	subplot docgen $< --output $@

## radicle-ci-broker 0.11.0.ci20250107T121302

=== debian/changelog ===
radicle-ci-broker (0.11.0.ci20250107T121302-1) unstable; urgency=medium

  * CI build under Ambient from commit
    e9f51c5c93e2f262e6e740a53d4e9e0c1cc0b6f3 on main.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 07 Jan 2025 12:13:02 +0000

radicle-ci-broker (0.11.0) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 07 Jan 2025 14:05:06 +0200

radicle-ci-broker (0.10.0) unstable; urgency=medium

  * New release. See NEWS.md for release notes.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 05 Dec 2024 08:44:54 +0200

radicle-ci-broker (0.9.0) unstable; urgency=medium

  * New releasxe.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 21 Nov 2024 10:18:57 +0200

radicle-ci-broker (0.8.0) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Fri, 08 Nov 2024 09:57:26 +0200

radicle-ci-broker (0.7.0) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 14 Oct 2024 11:09:05 +0300

radicle-ci-broker (0.6.3) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 16 Sep 2024 11:39:49 +0300

## radicle-ci-broker 0.11.1.ci20250119T174803

=== debian/changelog ===
radicle-ci-broker (0.11.1.ci20250119T174803-1) unstable; urgency=medium

  * CI build under Ambient from commit
    30fcabba09b6812274c61e4eb2940faa7cb6da00 on main.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 19 Jan 2025 17:48:03 +0000

radicle-ci-broker (0.11.1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 09 Jan 2025 18:57:55 +0200

## radicle-ci-broker 0.19.1.ci20250901T111408

=== Makefile ===
.SUFFIXES: .uml .svg .dot .pik .md .html .subplot

.subplot.html:
	subplot docgen --date "Version: $$(git describe --long --dirty)" $< -o $@

.dot.svg:
	dot -Tsvg $< > $@.tmp
	mv $@.tmp $@

.uml.svg:
	plantuml -tsvg --output=. $<

.pik.svg:
	pikchr-cli $< > $@.tmp
	mv $@.tmp $@

all: architecture.html userguide.html

publish: all
	bash publish.sh

architecture.html: architecture.subplot architecture.md Makefile messages.md

messages.md: messages.sh messages.txt
	./messages.sh > messages.md

userguide.html: userguide.subplot userguide.md Makefile
	subplot docgen $< --output $@

=== debian/changelog ===
radicle-ci-broker (0.19.1.ci20250901T111408-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 01 Sep 2025 11:14:08 +0000

radicle-ci-broker (0.19.1-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 28 Jul 2025 10:02:19 +0300

radicle-ci-broker (0.19.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 15 Jul 2025 15:12:50 +0300

radicle-ci-broker (0.18.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 04 Jun 2025 10:22:56 +0300

radicle-ci-broker (0.17.1-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 19 May 2025 17:41:49 +0300

radicle-ci-broker (0.17.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 19 May 2025 12:30:45 +0300

radicle-ci-broker (0.16.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 17 Apr 2025 14:34:27 +0300

radicle-ci-broker (0.15.1-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 26 Mar 2025 08:20:09 +0200

radicle-ci-broker (0.15.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 25 Mar 2025 08:33:48 +0200

radicle-ci-broker (0.14.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 24 Mar 2025 12:25:38 +0200

radicle-ci-broker (0.13.1-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 05 Mar 2025 10:11:37 +0200

radicle-ci-broker (0.13.0) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 05 Mar 2025 10:11:04 +0200

radicle-ci-broker (0.12.0) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 29 Jan 2025 11:07:08 +0200

## radicle-ci-broker 0.19.1.ci20250901T112326

=== debian/changelog ===
radicle-ci-broker (0.19.1.ci20250901T112326-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 01 Sep 2025 11:23:26 +0000

## radicle-ci-broker 0.19.1.ci20250906T052135

=== debian/changelog ===
radicle-ci-broker (0.19.1.ci20250906T052135-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 06 Sep 2025 05:21:35 +0000

## radicle-ci-broker 0.19.1.ci20250909T100204

=== debian/changelog ===
radicle-ci-broker (0.19.1.ci20250909T100204-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 09 Sep 2025 10:02:04 +0000

## radicle-ci-broker 0.20.0.ci20250909T153918

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250909T153918-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 09 Sep 2025 15:39:18 +0000

radicle-ci-broker (0.20.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 09 Sep 2025 18:14:35 +0300

## radicle-ci-broker 0.20.0.ci20250913T054143

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250913T054143-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 13 Sep 2025 05:41:44 +0000

## radicle-ci-broker 0.20.0.ci20250915T062055

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250915T062055-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Sep 2025 06:20:55 +0000

## radicle-ci-broker 0.20.0.ci20250915T063440

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250915T063440-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Sep 2025 06:34:41 +0000

## radicle-ci-broker 0.20.0.ci20250915T091101

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250915T091101-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Sep 2025 09:11:01 +0000

## radicle-ci-broker 0.20.0.ci20250916T121202

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250916T121202-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 16 Sep 2025 12:12:02 +0000

## radicle-ci-broker 0.20.0.ci20250917T125438

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250917T125438-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 17 Sep 2025 12:54:38 +0000

## radicle-ci-broker 0.20.0.ci20250918T140305

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250918T140305-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 18 Sep 2025 14:03:05 +0000

## radicle-ci-broker 0.20.0.ci20250919T045459

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250919T045459-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 19 Sep 2025 04:55:00 +0000

## radicle-ci-broker 0.20.0.ci20250919T052513

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250919T052513-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 19 Sep 2025 05:25:14 +0000

## radicle-ci-broker 0.20.0.ci20250919T055900

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250919T055900-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 19 Sep 2025 05:59:00 +0000

## radicle-ci-broker 0.20.0.ci20250919T115745

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250919T115745-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 19 Sep 2025 11:57:45 +0000

## radicle-ci-broker 0.20.0.ci20250919T121319

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250919T121319-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 19 Sep 2025 12:13:19 +0000

## radicle-ci-broker 0.20.0.ci20250920T120337

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250920T120337-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Sep 2025 12:03:37 +0000

## radicle-ci-broker 0.20.0.ci20250922T055242

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250922T055242-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 22 Sep 2025 05:52:42 +0000

## radicle-ci-broker 0.20.0.ci20250922T072252

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250922T072252-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 22 Sep 2025 07:22:52 +0000

## radicle-ci-broker 0.20.0.ci20250923T092314

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250923T092314-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 23 Sep 2025 09:23:14 +0000

## radicle-ci-broker 0.20.0.ci20250924T053911

=== debian/changelog ===
radicle-ci-broker (0.20.0.ci20250924T053911-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 24 Sep 2025 05:39:11 +0000

## radicle-ci-broker 0.21.0.ci20250924T064811

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20250924T064811-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 24 Sep 2025 06:48:11 +0000

radicle-ci-broker (0.21.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 24 Sep 2025 09:28:07 +0300

## radicle-ci-broker 0.21.0.ci20250924T065536

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20250924T065536-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 24 Sep 2025 06:55:36 +0000

## radicle-ci-broker 0.21.0.ci20250926T103229

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20250926T103229-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 26 Sep 2025 10:32:29 +0000

## radicle-ci-broker 0.21.0.ci20250927T075459

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20250927T075459-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 27 Sep 2025 07:54:59 +0000

## radicle-ci-broker 0.21.0.ci20251004T035227

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251004T035227-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 04 Oct 2025 03:52:27 +0000

## radicle-ci-broker 0.21.0.ci20251006T154026

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251006T154026-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 06 Oct 2025 15:40:26 +0000

## radicle-ci-broker 0.21.0.ci20251007T060441

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251007T060441-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 07 Oct 2025 06:04:41 +0000

## radicle-ci-broker 0.21.0.ci20251007T073736

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251007T073736-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 07 Oct 2025 07:37:36 +0000

## radicle-ci-broker 0.21.0.ci20251008T104539

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251008T104539-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 08 Oct 2025 10:45:39 +0000

## radicle-ci-broker 0.21.0.ci20251010T061743

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	pikchr-cli $< > $@.tmp
 	mv $@.tmp $@
 
-all: architecture.html userguide.html
+all: architecture.html userguide.html overview.html
 
 publish: all
 	bash publish.sh
@@ -26,3 +26,6 @@
 
 userguide.html: userguide.subplot userguide.md Makefile
 	subplot docgen $< --output $@
+
+overview.html: overview.md Makefile
+	pandoc --standalone --metadata title="Radicle CI overview" "$<" --output "$@"

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251010T061743-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 10 Oct 2025 06:17:43 +0000

## radicle-ci-broker 0.21.0.ci20251010T065917

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251010T065917-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 10 Oct 2025 06:59:17 +0000

## radicle-ci-broker 0.21.0.ci20251010T072028

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251010T072028-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 10 Oct 2025 07:20:28 +0000

## radicle-ci-broker 0.21.0.ci20251010T092604

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251010T092604-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 10 Oct 2025 09:26:04 +0000

## radicle-ci-broker 0.21.0.ci20251010T103626

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251010T103626-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 10 Oct 2025 10:36:26 +0000

## radicle-ci-broker 0.21.0.ci20251010T104857

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251010T104857-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 10 Oct 2025 10:48:57 +0000

## radicle-ci-broker 0.21.0.ci20251013T080629

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251013T080629-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 08:06:29 +0000

## radicle-ci-broker 0.21.0.ci20251013T102306

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251013T102306-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 10:23:06 +0000

## radicle-ci-broker 0.21.0.ci20251014T112005

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251014T112005-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 11:20:05 +0000

## radicle-ci-broker 0.21.0.ci20251014T115555

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251014T115555-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 11:55:56 +0000

## radicle-ci-broker 0.21.0.ci20251014T144749

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251014T144749-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 14:47:49 +0000

## radicle-ci-broker 0.21.0.ci20251014T151028

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251014T151028-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 15:10:28 +0000

## radicle-ci-broker 0.21.0.ci20251014T154658

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251014T154658-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 15:46:58 +0000

## radicle-ci-broker 0.21.0.ci20251016T152302

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251016T152302-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 16 Oct 2025 15:23:02 +0000

## radicle-ci-broker 0.21.0.ci20251020T061714

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251020T061714-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 20 Oct 2025 06:17:14 +0000

## radicle-ci-broker 0.21.0.ci20251020T063323

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251020T063323-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 20 Oct 2025 06:33:23 +0000

## radicle-ci-broker 0.21.0.ci20251020T065010

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251020T065010-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 20 Oct 2025 06:50:10 +0000

## radicle-ci-broker 0.21.0.ci20251029T130504

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251029T130504-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 29 Oct 2025 13:05:04 +0000

## radicle-ci-broker 0.21.0.ci20251102T071621

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251102T071621-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 02 Nov 2025 07:16:21 +0000

## radicle-ci-broker 0.21.0.ci20251102T153213

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,6 @@
 
 all: architecture.html userguide.html overview.html
 
-publish: all
-	bash publish.sh
-
 architecture.html: architecture.subplot architecture.md Makefile messages.md
 
 messages.md: messages.sh messages.txt

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251102T153213-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 02 Nov 2025 15:32:13 +0000

## radicle-ci-broker 0.21.0.ci20251107T152242

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251107T152242-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 07 Nov 2025 15:22:42 +0000

## radicle-ci-broker 0.21.0.ci20251110T083152

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251110T083152-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 10 Nov 2025 08:31:52 +0000

## radicle-ci-broker 0.21.0.ci20251110T155140

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251110T155140-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 10 Nov 2025 15:51:40 +0000

## radicle-ci-broker 0.21.0.ci20251110T162525

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251110T162525-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 10 Nov 2025 16:25:25 +0000

## radicle-ci-broker 0.21.0.ci20251111T070439

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251111T070439-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 11 Nov 2025 07:04:39 +0000

## radicle-ci-broker 0.21.0.ci20251112T131021

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251112T131021-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 12 Nov 2025 13:10:21 +0000

## radicle-ci-broker 0.21.0.ci20251112T135329

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	pikchr-cli $< > $@.tmp
 	mv $@.tmp $@
 
-all: architecture.html userguide.html overview.html
+all: architecture.html userguide.html overview.html filter-impl.html
 
 architecture.html: architecture.subplot architecture.md Makefile messages.md
 
@@ -26,3 +26,6 @@
 
 overview.html: overview.md Makefile
 	pandoc --standalone --metadata title="Radicle CI overview" "$<" --output "$@"
+
+filter-impl.html: filter-impl.md Makefile
+	pandoc --standalone --metadata title="Radicle CI overview" "$<" --output "$@"

=== debian/changelog ===
radicle-ci-broker (0.21.0.ci20251112T135329-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 12 Nov 2025 13:53:29 +0000

## radicle-ci-broker 0.22.0.ci20251112T151647

=== debian/changelog ===
radicle-ci-broker (0.22.0.ci20251112T151647-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 12 Nov 2025 15:16:47 +0000

radicle-ci-broker (0.22.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 12 Nov 2025 15:43:11 +0200

## radicle-ci-broker 0.22.0.ci20251113T155043

=== debian/changelog ===
radicle-ci-broker (0.22.0.ci20251113T155043-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 13 Nov 2025 15:50:43 +0000

## radicle-ci-broker 0.22.0.ci20251114T142729

=== debian/changelog ===
radicle-ci-broker (0.22.0.ci20251114T142729-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 14 Nov 2025 14:27:29 +0000

## radicle-ci-broker 0.22.0.ci20251114T152253

=== debian/changelog ===
radicle-ci-broker (0.22.0.ci20251114T152253-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 14 Nov 2025 15:22:53 +0000

## radicle-ci-broker 0.22.0.ci20251115T052902

=== debian/changelog ===
radicle-ci-broker (0.22.0.ci20251115T052902-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 15 Nov 2025 05:29:02 +0000

## radicle-ci-broker 0.22.0.ci20251116T062129

=== debian/changelog ===
radicle-ci-broker (0.22.0.ci20251116T062129-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 16 Nov 2025 06:21:29 +0000

## radicle-ci-broker 0.22.0.ci20251117T140854

=== debian/changelog ===
radicle-ci-broker (0.22.0.ci20251117T140854-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 17 Nov 2025 14:08:54 +0000

## radicle-ci-broker 0.22.0.ci20251119T152518

=== debian/changelog ===
radicle-ci-broker (0.22.0.ci20251119T152518-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 19 Nov 2025 15:25:18 +0000

## radicle-ci-broker 0.22.0.ci20251123T185847

=== debian/changelog ===
radicle-ci-broker (0.22.0.ci20251123T185847-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 23 Nov 2025 18:58:47 +0000

## radicle-ci-broker 0.22.0.ci20251124T124612

=== debian/changelog ===
radicle-ci-broker (0.22.0.ci20251124T124612-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 24 Nov 2025 12:46:12 +0000

## radicle-ci-broker 0.23.0.ci20251125T093133

=== debian/changelog ===
radicle-ci-broker (0.23.0.ci20251125T093133-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 25 Nov 2025 09:31:34 +0000

radicle-ci-broker (0.23.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 25 Nov 2025 10:11:38 +0200

## radicle-ci-broker 0.23.0.ci20251125T110929

=== debian/changelog ===
radicle-ci-broker (0.23.0.ci20251125T110929-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 25 Nov 2025 11:09:29 +0000

## radicle-ci-broker 0.23.0.ci20251125T115950

=== debian/changelog ===
radicle-ci-broker (0.23.0.ci20251125T115950-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 25 Nov 2025 11:59:50 +0000

## radicle-ci-broker 0.23.0.ci20251125T124631

=== debian/changelog ===
radicle-ci-broker (0.23.0.ci20251125T124631-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 25 Nov 2025 12:46:31 +0000

## radicle-ci-broker 0.23.0.ci20251125T151619

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	pikchr-cli $< > $@.tmp
 	mv $@.tmp $@
 
-all: architecture.html userguide.html overview.html filter-impl.html
+all: architecture.html userguide.html overview.html filter-impl.html adapter-impl.html
 
 architecture.html: architecture.subplot architecture.md Makefile messages.md
 
@@ -28,4 +28,7 @@
 	pandoc --standalone --metadata title="Radicle CI overview" "$<" --output "$@"
 
 filter-impl.html: filter-impl.md Makefile
-	pandoc --standalone --metadata title="Radicle CI overview" "$<" --output "$@"
+	pandoc --standalone --metadata title="Radicle CI event filter implementation" "$<" --output "$@"
+
+adapter-impl.html: adapter-impl.md Makefile
+	pandoc --standalone --metadata title="Radicle CI adapter implementation" "$<" --output "$@"

=== debian/changelog ===
radicle-ci-broker (0.23.0.ci20251125T151619-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 25 Nov 2025 15:16:19 +0000

## radicle-ci-broker 0.23.0.ci20251128T135335

=== debian/changelog ===
radicle-ci-broker (0.23.0.ci20251128T135335-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 28 Nov 2025 13:53:36 +0000

## radicle-ci-broker 0.23.0.ci20251128T143850

=== debian/changelog ===
radicle-ci-broker (0.23.0.ci20251128T143850-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 28 Nov 2025 14:38:50 +0000

## radicle-ci-broker 0.23.0.ci20251128T151016

=== debian/changelog ===
radicle-ci-broker (0.23.0.ci20251128T151016-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 28 Nov 2025 15:10:17 +0000

## radicle-ci-broker 0.23.0.ci20251128T152320

=== debian/changelog ===
radicle-ci-broker (0.23.0.ci20251128T152320-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 28 Nov 2025 15:23:21 +0000

## radicle-ci-broker 0.23.0.ci20251130T082139

=== debian/changelog ===
radicle-ci-broker (0.23.0.ci20251130T082139-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 30 Nov 2025 08:21:39 +0000

## radicle-ci-broker 0.23.0.ci20251201T115435

=== debian/changelog ===
radicle-ci-broker (0.23.0.ci20251201T115435-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 01 Dec 2025 11:54:35 +0000

## radicle-ci-broker 0.23.0.ci20251203T073407

=== debian/changelog ===
radicle-ci-broker (0.23.0.ci20251203T073407-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 03 Dec 2025 07:34:08 +0000

## radicle-ci-broker 0.23.0.ci20251204T082639

=== debian/changelog ===
radicle-ci-broker (0.23.0.ci20251204T082639-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 04 Dec 2025 08:26:40 +0000

## radicle-ci-broker 0.23.0.ci20251205T150248

=== debian/changelog ===
radicle-ci-broker (0.23.0.ci20251205T150248-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 05 Dec 2025 15:02:48 +0000

=== debian/control ===
--- 
+++ 
@@ -16,5 +16,5 @@
  forges such as GitHub and GitLab that preserves user sovereignty and
  freedom.
  .
- Radicle CI broker uses a configured CI engine to run Ci for a repsitory
+ Radicle CI broker uses a configured CI engine to run CI for a repsitory
  on a Radicle node.

## radicle-ci-broker 0.23.0.ci20251208T121327

=== debian/changelog ===
radicle-ci-broker (0.23.0.ci20251208T121327-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 08 Dec 2025 12:13:27 +0000

## radicle-ci-broker 0.24.0.ci20251209T162527

=== debian/changelog ===
radicle-ci-broker (0.24.0.ci20251209T162527-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 09 Dec 2025 16:25:27 +0000

radicle-ci-broker (0.24.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 09 Dec 2025 15:33:50 +0200

## radicle-ci-broker 0.24.0.ci20251210T124648

=== debian/changelog ===
radicle-ci-broker (0.24.0.ci20251210T124648-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 10 Dec 2025 12:46:48 +0000

## radicle-ci-broker 0.24.0.ci20251211T180405

=== debian/changelog ===
radicle-ci-broker (0.24.0.ci20251211T180405-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 11 Dec 2025 18:04:05 +0000

## radicle-ci-broker 0.24.0.ci20251215T060634

=== debian/changelog ===
radicle-ci-broker (0.24.0.ci20251215T060634-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 06:06:34 +0000

## radicle-ci-broker 0.24.0.ci20251216T134929

=== debian/changelog ===
radicle-ci-broker (0.24.0.ci20251216T134929-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 16 Dec 2025 13:49:29 +0000

## radicle-ci-broker 0.24.0.ci20251221T042549

=== debian/changelog ===
radicle-ci-broker (0.24.0.ci20251221T042549-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 21 Dec 2025 04:25:49 +0000

## radicle-ci-broker 0.24.0.ci20251221T062056

=== debian/changelog ===
radicle-ci-broker (0.24.0.ci20251221T062056-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 21 Dec 2025 06:20:56 +0000

## radicle-ci-broker 0.24.0.ci20260105T121241

=== debian/changelog ===
radicle-ci-broker (0.24.0.ci20260105T121241-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 05 Jan 2026 12:12:41 +0000

## radicle-ci-broker 0.24.0.ci20260112T124009

=== debian/changelog ===
radicle-ci-broker (0.24.0.ci20260112T124009-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 12 Jan 2026 12:40:09 +0000

## radicle-ci-broker 0.24.0.ci20260114T122721

=== debian/changelog ===
radicle-ci-broker (0.24.0.ci20260114T122721-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 14 Jan 2026 12:27:21 +0000

## radicle-ci-broker 0.24.0.ci20260116T175828

=== debian/changelog ===
radicle-ci-broker (0.24.0.ci20260116T175828-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 16 Jan 2026 17:58:28 +0000

## radicle-ci-broker 0.24.0.ci20260118T132432

=== debian/changelog ===
radicle-ci-broker (0.24.0.ci20260118T132432-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 18 Jan 2026 13:24:32 +0000

## radicle-ci-broker 0.24.0.ci20260120T075651

=== debian/changelog ===
radicle-ci-broker (0.24.0.ci20260120T075651-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 20 Jan 2026 07:56:52 +0000

## radicle-ci-broker 0.25.0.ci20260120T082152

=== debian/changelog ===
radicle-ci-broker (0.25.0.ci20260120T082152-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 20 Jan 2026 08:21:53 +0000

radicle-ci-broker (0.25.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 20 Jan 2026 09:23:54 +0200

## radicle-ci-broker 0.25.0.ci20260120T115420

=== debian/changelog ===
radicle-ci-broker (0.25.0.ci20260120T115420-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 20 Jan 2026 11:54:20 +0000

## radicle-ci-broker 0.25.0.ci20260123T074650

=== debian/changelog ===
radicle-ci-broker (0.25.0.ci20260123T074650-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 23 Jan 2026 07:46:50 +0000

## radicle-ci-broker 0.25.0.ci20260125T065326

=== debian/changelog ===
radicle-ci-broker (0.25.0.ci20260125T065326-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 25 Jan 2026 06:53:26 +0000

## radicle-ci-broker 0.25.0.ci20260204T093438

=== debian/changelog ===
radicle-ci-broker (0.25.0.ci20260204T093438-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 04 Feb 2026 09:34:38 +0000

## radicle-ci-broker 0.25.0.ci20260205T165845

=== debian/changelog ===
radicle-ci-broker (0.25.0.ci20260205T165845-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 05 Feb 2026 16:58:45 +0000
